Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration
Interface ConfiguredBeanLocator

    public interface ConfiguredBeanLocator

Nested Class Summary
`static interface` | `ConfiguredBeanLocator.BeanLoaderListener<T>`

Method Summary
`List<String>` | `getBeanNamesOfType(Class<?> type)` Gets the names of all the configured beans of the specific type.
`
`<T> T`
` | `getBeanOfType(String name, Class<T> type)` Returns the bean of the given type and name.
`
`<T> Collection<? extends T>`
` | `getBeansOfType(Class<T> type)` Gets all the configured beans of the specific types.
`boolean` | `hasConfiguredPropertyValue(String beanName, String propertyName, String value)` For supporting "legacy" config, checks the configured bean to see if it has a property configured with the given name/value.
`
`<T> boolean`
` | `loadBeansOfType(Class<T> type, ConfiguredBeanLocator.BeanLoaderListener<T> listener)` Iterates through the beans of the given type, calling the listener to determine if it should be loaded or not.

Method Detail

### getBeanNamesOfType

    List<String> getBeanNamesOfType(Class<?> type)

  Gets the names of all the configured beans of the specific type. Does not cause them to be loaded.

  Parameters:
    `type` -
  Returns:
    List of all the bean names for the given type

### getBeansOfType

    <T> Collection<? extends T> getBeansOfType(Class<T> type)

  Gets all the configured beans of the specific types. Causes them all to be loaded.

  Parameters:
    `type` -
  Returns:
    The collection of all the configured beans of the given type

### getBeanOfType

    <T> T getBeanOfType(String name,
                        Class<T> type)

  Returns the bean of the given type and name. Causes it to be loaded.

  Parameters:
    `name` -
    `type` -
  Returns:
    the bean of the given name and type

### loadBeansOfType

    <T> boolean loadBeansOfType(Class<T> type,
                                ConfiguredBeanLocator.BeanLoaderListener<T> listener)

  Iterates through the beans of the given type, calling the listener to determine if it should be loaded or not.

  Parameters:
    `type` -
    `listener` -
  Returns:
    true if beans of the type were loaded

### hasConfiguredPropertyValue

    boolean hasConfiguredPropertyValue(String beanName,
                                       String propertyName,
                                       String value)

  For supporting "legacy" config, checks the configured bean to see if it has a property configured with the given name/value. Mostly used for supporting things configured with "activationNamespaces" set.

  Parameters:
    `beanName` -
    `propertyName` -
    `value` -
  Returns:
    true if the bean has the given property/value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF